### Method

# Clutter Actor get_transformed_size

#### Declaration [src]

    void
    clutter_actor_get_transformed_size (
      ClutterActor* self,
      gfloat* width,
      gfloat* height
    )

#### Description [src]

Gets the absolute size of an actor in pixels, taking into account the scaling factors.

If the actor has a valid allocation, the allocated size will be used. If the actor has not a valid allocation then the preferred size will be transformed and returned.

If you want the transformed allocation, see `clutter_actor_get_abs_allocation_vertices()` instead.

When the actor (or one of its ancestors) is rotated around the X or Y axis, it no longer appears as on the stage as a rectangle, but as a generic quadrangle; in that case this function returns the size of the smallest rectangle that encapsulates the entire quad. Please note that in this case no assumptions can be made about the relative position of this envelope to the absolute position of the actor, as returned by `clutter_actor_get_transformed_position()`; if you need this information, you need to use `clutter_actor_get_abs_allocation_vertices()` to get the coords of the actual quadrangle.

#### Parameters

`width`

  Type: `gfloat*`

  Return location for the width, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gfloat*`

  Return location for the height, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.